# Configuration for WRPF-Spain.

[divisions]
    # Official WRPF divisions.
    open = {name = "Open", min = 0, max = 999}
    youth = {name = "Youth", min = 5, max = 13}
    teen_14_16 = {name = "Teen 14-16", min = 14, max = 16}
    subjunior_17_19 = {name = "Sub-Juniors 17-19", min = 17, max = 19}
    juniors_20_23 = {name = "Juniors 20-23", min = 20, max = 23}
    masters_40_49 = {name = "Masters 40-49", min = 40, max = 49}
    masters_50_59 = {name = "Masters 50-59", min = 50, max = 59}
    masters_60_69 = {name = "Masters 60-69", min = 60, max = 69}
    masters_70_79 = {name = "Masters 70-79", min = 70, max = 79}
    masters_80_89 = {name = "Masters 80-89", min = 80, max = 89}

    # Other permutations.
    masters_40_44 = {name = "Masters 40-44", min = 40, max = 44}
    masters_45_49 = {name = "Masters 45-49", min = 45, max = 49}
    masters_50_54 = {name = "Masters 50-54", min = 50, max = 54}
    masters_55_59 = {name = "Masters 55-59", min = 55, max = 59}
    masters_60_64 = {name = "Masters 60-64", min = 60, max = 64}
    masters_65_69 = {name = "Masters 65-69", min = 65, max = 69}
    masters_70_74 = {name = "Masters 70-74", min = 70, max = 74}
    masters_75_79 = {name = "Masters 75-79", min = 75, max = 79}
    masters_80_84 = {name = "Masters 80-84", min = 80, max = 84}
    masters = {name = "Masters", min = 40, max = 999}
    teen = {name = "Teen", min = 14, max = 19}
    teen_13_15 = {name = "Teen 13-15", min = 13, max = 15}
    teen_16_17 = {name = "Teen 16-17", min = 16, max = 17}
    teen_18_19 = {name = "Teen 18-19", min = 18, max = 19}

    pro_open = {name = "Pro Open", min = 0, max = 999}
    pro_teen_14_16 = {name = "Pro Teen 14-16", min = 14, max = 16}
    pro_subjunior_17_19 = {name = "Pro Sub-Juniors 17-19", min = 17, max = 19}
    pro_juniors_20_23 = {name = "Pro Juniors 20-23", min = 20, max = 23}
    pro_masters = {name = "Pro Masters", min = 40, max = 999}
    pro_masters_40_44 = {name = "Pro Masters 40-44", min = 40, max = 44}
    pro_masters_40_49 = {name = "Pro Masters 40-49", min = 40, max = 49}
    pro_masters_45_49 = {name = "Pro Masters 45-49", min = 45, max = 49}
    pro_masters_50_54 = {name = "Pro Masters 50-54", min = 50, max = 54}
    pro_masters_50_59 = {name = "Pro Masters 50-59", min = 50, max = 59}
    pro_masters_55_59 = {name = "Pro Masters 55-59", min = 55, max = 59}
    pro_masters_60_64 = {name = "Pro Masters 60-64", min = 60, max = 64}
    pro_masters_60_69 = {name = "Pro Masters 60-69", min = 60, max = 69}
    pro_masters_65_69 = {name = "Pro Masters 65-69", min = 65, max = 69}
    pro_masters_70_74 = {name = "Pro Masters 70-74", min = 70, max = 74}
    pro_masters_70_79 = {name = "Pro Masters 70-79", min = 70, max = 79}
    pro_masters_75_79 = {name = "Pro Masters 75-79", min = 75, max = 79}
    pro_teen = {name = "Pro Teen", min = 14, max = 19}
    veterans = {name = "Pro Veterans", min = 0, max = 999}

    am_open = {name = "Amateur Open", min = 0, max = 999}
    am_teen_14_16 = {name = "Amateur Teen 14-16", min = 14, max = 16}
    am_subjunior_17_19 = {name = "Amateur Sub-Juniors 17-19", min = 17, max = 19}
    am_juniors_20_23 = {name = "Amateur Juniors 20-23", min = 20, max = 23}
    am_masters_40_44 = {name = "Amateur Masters 40-44", min = 40, max = 44}
    am_masters_40_49 = {name = "Amateur Masters 40-49", min = 40, max = 49}
    am_masters_45_49 = {name = "Amateur Masters 45-49", min = 45, max = 49}
    am_masters_50_54 = {name = "Amateur Masters 50-54", min = 50, max = 54}
    am_masters_50_59 = {name = "Amateur Masters 50-59", min = 50, max = 59}
    am_masters_55_59 = {name = "Amateur Masters 55-59", min = 55, max = 59}
    am_masters_60_64 = {name = "Amateur Masters 60-64", min = 60, max = 64}
    am_masters_60_69 = {name = "Amateur Masters 60-69", min = 60, max = 69}
    am_masters_70_79 = {name = "Amateur Masters 70-79", min = 70, max = 79}
    am_masters_80_89 = {name = "Amateur Masters 80-89", min = 80, max = 89}
    am_teen_14_19 = {name = "Amateur Teen 14-19", min = 14, max = 19}

    dis_open = {name = "Disabled Open", min = 0, max = 999}
    dis_juniors_20_23 = {name = "Disabled Juniors 20-23", min = 20, max = 23}
    dis_teen = {name = "Disabled Teen", min = 13, max = 19}
    dis_masters_40_44 = {name = "Disabled Masters 40-44", min = 40, max = 44}
    dis_masters_45_49 = {name = "Disabled Masters 45-49", min = 45, max = 49}
    dis_masters_40_49 = {name = "Disabled Masters 40-49", min = 40, max = 49}
    dis_masters_50_59 = {name = "Disabled Masters 50-59", min = 50, max = 59}
    dis_masters_60_69 = {name = "Disabled Masters 60-69", min = 60, max = 69}
    dis_masters_70_79 = {name = "Disabled Masters 70-79", min = 70, max = 79}

    army_open = {name = "Army Open", min = 0, max = 999}
    army_juniors_20_23 = {name = "Army Juniors 20-23", min = 20, max = 23}
    army_masters_40_44 = {name = "Army Masters 40-44", min = 40, max = 44}
    army_masters_45_49 = {name = "Army Masters 45-49", min = 45, max = 49}
    army_masters_50_54 = {name = "Army Masters 50-54", min = 50, max = 54}

    pro_mro = {name = "Pro MR-O", min = 0, max = 999, equipment="Raw",sex="M"}
    pro_fro = {name = "Pro FR-O", min = 0, max = 999, equipment="Raw",sex="F"}
    pro_mwo = {name = "Pro MW-O", min = 0, max = 999, equipment="Wraps",sex="M"}
    pro_fwo = {name = "Pro FW-O", min = 0, max = 999, equipment="Wraps",sex="F"}
    pro_fwjr = {name = "Pro FW-JR", min = 20, max = 23, equipment="Wraps",sex="F"}

    meo = {name = "ME-O", min = 0, max = 999, equipment=["Single-ply","Multi-ply"],sex="M"}
	juniors_14_23 = {name="Juniors 14-23", min=14, max=23}

[weightclasses.default_M]
    classes = ["52","56","60","67.5","75","82.5","90","100","110","125","140","140+"]
    date_range = ["1990-01-01", "9999-01-01"]
    sex = "M"

[weightclasses.default_F]
    classes = ["44","48","52","56","60","67.5","75","82.5","90","90+"]
    date_range = ["1990-01-01", "9999-01-01"]
    sex = "F"

[exemptions]
    1904 = ["ExemptDivision"]
